## org.apache.mahout.cf.taste.hadoop.preparation
Class ToItemVectorsMapper

    java.lang.Object
      org.apache.hadoop.mapreduce.Mapper<VarLongWritable,VectorWritable,org.apache.hadoop.io.IntWritable,VectorWritable>
          org.apache.mahout.cf.taste.hadoop.preparation.ToItemVectorsMapper

    public class ToItemVectorsMapper

extends org.apache.hadoop.mapreduce.Mapper<VarLongWritable,VectorWritable,org.apache.hadoop.io.IntWritable,VectorWritable>

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Mapper
`org.apache.hadoop.mapreduce.Mapper.Context`

Constructor Summary
`ToItemVectorsMapper()`

Method Summary
`protected void` `map(VarLongWritable rowIndex, VectorWritable vectorWritable, org.apache.hadoop.mapreduce.Mapper.Context ctx)`

Methods inherited from class org.apache.hadoop.mapreduce.Mapper
`cleanup, run, setup`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ToItemVectorsMapper

    public ToItemVectorsMapper()

Method Detail

### map

    protected void map(VarLongWritable rowIndex,
                       VectorWritable vectorWritable,
                       org.apache.hadoop.mapreduce.Mapper.Context ctx)
                throws IOException,
                       InterruptedException

  Overrides:
    `map` in class `org.apache.hadoop.mapreduce.Mapper<VarLongWritable,VectorWritable,org.apache.hadoop.io.IntWritable,VectorWritable>`
  Throws:
    `IOException`
    `InterruptedException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.